#
# spec file for package OpenOffice_org-components (Version 3.1.1.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           OpenOffice_org-components
Version:        3.1.1.4
Release:        1.2.3
%define         ooo_build_version 3.1.1.4
%define         piece      components
#!BuildIgnore:  OpenOffice_org
BuildRequires:  OpenOffice_org-artwork-devel = %version
BuildRequires:  OpenOffice_org-libs-core-devel = %version
BuildRequires:  ImageMagick ant ant-apache-regexp bison boost-devel ccache cups-devel curl-devel db-devel flac-devel flex gnome-vfs2-devel gperf gtk2-devel icu java-devel kdelibs3-devel krb5 libexif mono-devel neon-devel openldap2-devel pam-devel perl-Archive-Zip perl-Compress-Zlib python-devel recode unixODBC-devel unzip xml-commons-apis xorg-x11 zip
# mozilla stuff
%if %suse_version > 1110
BuildRequires:  mozilla-xulrunner191-devel
%endif 
%if %suse_version > 1100 && %suse_version <= 1110
BuildRequires:  mozilla-xulrunner190-devel
%endif 
%if %suse_version > 1010 && %suse_version <= 1100
BuildRequires:  mozilla-xulrunner181-devel
%endif
%if %suse_version > 1000 && %suse_version <= 1010
BuildRequires:  gecko-sdk mozilla-xulrunner
%endif
# 11.0 features
%if %suse_version > 1030
BuildRequires:  hunspell-devel libwpd-devel libwpg-devel libwps-devel
%endif
# 10.3 features
%if %suse_version > 1020
BuildRequires:  libicu-devel
%endif
%define	      ooo_prefix	%_libdir
%define	      ooo_home		ooo3
%define	      ooo_build_tag     ooo310-m19
License:        Artistic License .. ; BSD3c(or similar) ; GPLv2+ ; LPPL .. ; LGPLv2.1+ ; LGPLv3 ; MPL .. ; MIT License (or similar)
Group:          Productivity/Office/Suite
AutoReqProv:    on
Requires:       OpenOffice_org-libs-core = %version
Summary:        OpenOffice.org Components
Url:            http://www.openoffice.org/
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
Patch1000:      hotfix-bean-openjdk-ppc.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This package provides functionality used by all the OpenOffice.org
modules.



%package -n OpenOffice_org-officebean
License:        LGPLv3
Summary:        OfficeBean Java Bean component for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       OpenOffice_org:/usr/lib/ooo-2.0/program/libofficebean.so
Requires:       OpenOffice_org = %version
Provides:       OpenOffice_org2-officebean
Obsoletes:      OpenOffice_org2-officebean

%description -n OpenOffice_org-officebean
With the OfficeBean, a developer can easily write Java applications,
harnessing the power of OpenOffice.org. It encapsulates a connection to
a locally running OpenOffice.org process, and hides the complexity of
establishing and maintaining that connection from the developer.

It also allows embedding of OpenOffice.org documents within the Java
environment. It provides an interface the developer can use to obtain
Java AWT windows into which the backend OpenOffice.org process draws
its visual representation. These windows are then plugged into the UI
hierarchy of the hosting Java application. The embedded document is
controlled from the Java environment, since the OfficeBean allows
developers to access the complete OpenOffice.org API from their Java
environment giving them full control over the embedded document, its
appearance and behavior.



%package -n OpenOffice_org-testtool
License:        LGPLv3
Summary:        OpenOffice.org Test Tool
Group:          Productivity/Office/Suite
Provides:       OpenOffice_org:%ooo_prefix/%ooo_home/program/testtool.bin
Requires:       OpenOffice_org = %version

%description -n OpenOffice_org-testtool
A Tool needed for automatic testing of OpenOffice.org office suite.



%package devel
Requires:       %name = %version
Requires:       OpenOffice_org-officebean = %version
Requires:       OpenOffice_org-testtool = %version
Requires:       OpenOffice_org-ure-devel = %version
Requires:       OpenOffice_org-libs-extern-devel = %version
License:        Artistic License .. ; BSD3c(or similar) ; GPLv2+ ; LPPL .. ; LGPLv2.1+ ; LGPLv3 ; MPL .. ; MIT License (or similar)
Summary:        OpenOffice.org Components Development
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description devel
This package allows developement based on the OpenOffice.org components
modules API.



%package l10n-prebuilt
License:        Artistic License .. ; BSD3c(or similar) ; GPLv2+ ; LPPL .. ; LGPLv2.1+ ; LGPLv3 ; MPL .. ; MIT License (or similar)
Summary:        Prebuilt OpenOffice.org Components Localizations
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description l10n-prebuilt
This package includes the prebuilt localization of OpenOffice.org
Componetns package. It is not intended for a real use. It needs to be
repacked to the real architecture independent package.

This is only a temporary solution until we have an easier way to build
the OpenOffice.org localizations separately.



%prep
%setup -q -a1 -n %ooo_build_tag-%piece
mkdir -p ooo-build/hotfixes
cp %{P:1000} ooo-build/hotfixes

%build
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
export EXTRA_BUILD_FLAGS=%{?jobs:-P%jobs}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P%jobs}"
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag
# prune redundant files the scp2 likes to make for us
rm -Rf \
    "$DESTDIR/$OO_INSTDIR/basis-link" \
    "$DESTDIR/$OO_INSTDIR/ure" \
    "$DESTDIR/$OO_INSTDIR/solver/bin/packinfo*.txt"

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files -f files-%piece.txt
%defattr(-,root,root)
#%dir %ooo_prefix/%ooo_home/basis3.0
#%dir %ooo_prefix/%ooo_home/program
#%dir %ooo_prefix/%ooo_home/share
#%ooo_prefix/%ooo_home/basis3.0/*
#%ooo_prefix/%ooo_home/program/*
#%ooo_prefix/%ooo_home/share/*

%files -f files-officebean.txt -n OpenOffice_org-officebean
%defattr(-,root,root)

%files -f files-testtool.txt -n OpenOffice_org-testtool
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%dir %ooo_prefix/%ooo_home/solver
%ooo_prefix/%ooo_home/solver/*
%exclude %ooo_prefix/%ooo_home/solver/noarch

%files l10n-prebuilt
%defattr(-,root,root)
%ooo_prefix/%ooo_home/solver/noarch

%changelog
* Tue Dec 22 2009 pmladek@suse.cz
- added security fixes (MaintenanceTracker-29597):
  * XML signature HMAC truncation, CVE-2009-0217, bnc#521564;
    the fix comes via the static libxmlsec1*.a that is provided by
    the updated OpenOffice_org-libs-extern-devel
* Tue Oct 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.1.4
- removed saxon8 from BuildRequires and Requires; the internal one is really
  needed (bnc#547157)
* Tue Oct  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.1.3
- added saxon8 into BuildRequires and Requires for openSUSE > 11.1
  (bnc#527738, bnc#481242, bnc#473232)
* Tue Sep 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.1.2
- used mozilla-xulrunner191-devel in BuildRequires for openSUSE >= 11.2
* Wed Sep  2 2009 pmladek@suse.cz
- ooo-build-3.1.1.1 == 3.1.1-rc1 == final
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Mon Jun 15 2009 pmladek@suse.cz
- updated to the milestone ooo310-m13
- updated ooo-build to version 3.1.0.98.1 (3.1.1-alpha1)
* Thu May 28 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.6 (3.1-rc7 == final)
* Tue May 26 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.5 (3.1-rc6)
* Fri May 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.4 (3.1-rc5)
* Thu May 21 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.3 (3.1-rc4)
* Tue May 19 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.2 (3.1-rc3)
* Fri May 15 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.1  (3.1-rc2)
* Thu May  7 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.0  (3.1-rc1)
* Thu Apr 30 2009 pmladek@suse.cz
- updated to the milestone ooo310-m11 (3.1-rc2)
- updated ooo-build to version 3.0.99.7 (3.1-beta7)
* Fri Apr 24 2009 pmladek@suse.cz
- updated to the milestone ooo310-m10
- updated ooo-build to version 3.0.99.6 (3.1-beta6)
- updated extra localization sources: be-BY, bg, cs, da, el, et, fi, ga, km,
  lt, mk, sk, sl
* Fri Apr 17 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.99.5 (3.1-beta5)
* Wed Apr  8 2009 pmladek@suse.cz
- updated to the milestone ooo310-m9
- updated ooo-build to version 3.0.99.4 (3.1-beta4)
* Fri Mar 27 2009 pmladek@suse.cz
- updated to the milestone ooo310-m7
- updated ooo-build to version 3.0.99.3 (3.1-beta3)
* Fri Mar 20 2009 pmladek@suse.cz
- updated to the milestone ooo310-m6
- updated ooo-build to version 3.0.99.2 (3.1-beta2)
* Tue Mar 10 2009 pmladek@suse.cz
- updated to the milestone ooo310-m4
- updated ooo-build to version 3.0.99.1 (3.1-beta1)
* Fri Feb 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.13
- added ExclusiveArch: %%%%ix86 x86_64 ppc (bnc#465252)
* Fri Jan  9 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.10
* Thu Dec  4 2008 pmladek@suse.de
- fixed build with OpenJDK on openSUSE-11.1-ppc (bnc#449711)
* Fri Nov 21 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.9
- added extra localizations sources
* Fri Nov  7 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.7
- added OpenOffice_org-officebean and OpenOffice_org-testtool to
  requires of the devel package; the devel package is common
  for all subpackages
* Fri Oct 10 2008 pmladek@suse.cz
- updated to the milestone ooo300-m9 (3.0rc4)
- updated ooo-build to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
* Thu Sep 11 2008 pmladek@suse.cz
- split from the main OpenOffice_org package, version 3.0.0.4
